1 (edited by Lucafr 2009-07-20 14:42:50)

Topic: missing dependency on php update

Hi Remi
i have a server with CentOS release 4.4 (Final), control panel Plesk 9.2.1
Just used ur tutotial on http://bluhaloit.wordpress.com/2008/03/ … tos-5-etc/
when I launch yum --enablerepo=remi update php I have these errors on dependency
Can you help me please?

Error: Missing Dependency: httpd-mmn = 20051115 is needed by package php
Error: Missing Dependency: rtld(GNU_HASH) is needed by package php
Error: Missing Dependency: libssl.so.6 is needed by package php
Error: Missing Dependency: libcrypto.so.6 is needed by package php
Error: Missing Dependency: libc.so.6(GLIBC_2.4) is needed by package php
Error: Missing Dependency: libc.so.6(GLIBC_2.4) is needed by package php-xml
Error: Missing Dependency: libssl.so.6 is needed by package php-cli
Error: Missing Dependency: libcrypto.so.6 is needed by package php-common
Error: Missing Dependency: rtld(GNU_HASH) is needed by package php-xml
Error: Missing Dependency: libcrypto.so.6 is needed by package php-imap
Error: Missing Dependency: libc.so.6(GLIBC_2.4) is needed by package php-cli
Error: Missing Dependency: libcrypto.so.6 is needed by package php-mysql
Error: Missing Dependency: libc.so.6(GLIBC_2.4) is needed by package php-pdo
Error: Missing Dependency: rtld(GNU_HASH) is needed by package php-imap
Error: Missing Dependency: libc.so.6(GLIBC_2.4) is needed by package php-mbstring
Error: Missing Dependency: libc.so.6(GLIBC_2.4) is needed by package php-common
Error: Missing Dependency: libc.so.6(GLIBC_2.4) is needed by package php-imap
Error: Missing Dependency: libpng12.so.0(PNG12_0) is needed by package php-gd
Error: Missing Dependency: rtld(GNU_HASH) is needed by package php-gd
Error: Missing Dependency: rtld(GNU_HASH) is needed by package php-cli
Error: Missing Dependency: rtld(GNU_HASH) is needed by package php-mysql
Error: Missing Dependency: rtld(GNU_HASH) is needed by package php-mbstring
Error: Missing Dependency: libssl.so.6 is needed by package php-common
Error: Missing Dependency: libc.so.6(GLIBC_2.4) is needed by package php-gd
Error: Missing Dependency: rtld(GNU_HASH) is needed by package php-common
Error: Missing Dependency: libssl.so.6 is needed by package php-mysql
Error: Missing Dependency: any-php-sqlite2 is needed by package sb-publish
Error: Missing Dependency: libc-client.so.1 is needed by package php-imap
Error: Missing Dependency: libssl.so.6 is needed by package php-imap
Error: Missing Dependency: libreadline.so.5 is needed by package php-cli
Error: Missing Dependency: rtld(GNU_HASH) is needed by package php-pdo
Error: Missing Dependency: libc.so.6(GLIBC_2.4) is needed by package php-mysql
Error: Missing Dependency: libcrypto.so.6 is needed by package php-cli
Error: Missing Dependency: libc.so.6(GLIBC_2.4) is needed by package t1lib
Error: Missing Dependency: rtld(GNU_HASH) is needed by package t1lib
Error: Missing Dependency: rtld(GNU_HASH) is needed by package mysql-libs
Error: Missing Dependency: libcrypto.so.6 is needed by package mysql-libs
Error: Missing Dependency: libc.so.6(GLIBC_2.4) is needed by package mysql-libs
Error: Missing Dependency: libssl.so.6 is needed by package mysql-libs

Thanks in advanced
Luca

Re: missing dependency on php update

I think you are trying to use the repository for EL-5, not the one for EL-4

What is the content of /etc/yum.repos.d/remi.repo ?

Do you install http://rpms.famillecollet.com/enterpris … ease-4.rpm

+

Desktop: Fedora 29 x86_64 + rpmfusion + remi-test + remi-dev
Laptop:  Fedora 30 x86_64 + rpmfusion + remi (SCL only)
Hosting Server: CentOS 6.10 x86_64 with EPEL, remi, remi-php72 and remi-php72-test

3 (edited by Lucafr 2009-07-20 15:06:13)

Re: missing dependency on php update

the content of remi.repo is:
name=Les RPM de remi pour Enterprise Linux 5 - $basearch
baseurl=http://rpms.famillecollet.com/enterprise/5/remi/$basearch/
        http://iut-info.univ-reims.fr/remirpms/ … $basearch/
enabled=0
gpgcheck=1
gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-remi
failovermethod=priority

[remi-test]
name=Les RPM de remi en test pour Enterprise Linux 5 - $basearch
baseurl=http://rpms.famillecollet.com//enterprise/5/test/$basearch/
enabled=0
gpgcheck=1
gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-remi


I downloaded remi-release-4.rpm
do rpm -e remi-release-5-7.el5.remi
do rpm -Uvh remi-release-4*.rpm
do yum --enablerepo=remi update php
but at the end say

--> Processing Dependency: any-php-sqlite2 for package: sb-publish
--> Finished Dependency Resolution
Error: Missing Dependency: any-php-sqlite2 is needed by package sb-publish

Re: missing dependency on php update

I only handle dependencies from official repository and EPEL.

I don't know where your sb-publish come from and if it could run with recent php.

You can try to force the installation as php-pdo provides the sqlite2 extension. But without any guaranty.

+

Desktop: Fedora 29 x86_64 + rpmfusion + remi-test + remi-dev
Laptop:  Fedora 30 x86_64 + rpmfusion + remi (SCL only)
Hosting Server: CentOS 6.10 x86_64 with EPEL, remi, remi-php72 and remi-php72-test

Re: missing dependency on php update

I solved uninstalling Sitebuilder

but now when i type
php -v

i have these errors

php -v
Failed loading /usr/lib/php4/php_ioncube_loader_lin_4.3.so:  /usr/lib/php4/php_ioncube_loader_lin_4.3.so: undefined symbol: zend_hash_add_or_update
PHP Warning:  PHP Startup: Unable to load dynamic library '/usr/lib/php4/curl.so' - /usr/lib/php4/curl.so: cannot open shared object file: No such file or directory in Unknown on line 0
PHP Warning:  PHP Startup: Unable to load dynamic library '/usr/lib/php4/dbase.so' - /usr/lib/php4/dbase.so: cannot open shared object file: No such file or directory in Unknown on line 0
PHP Warning:  PHP Startup: Unable to load dynamic library '/usr/lib/php4/dom.so' - /usr/lib/php4/dom.so: cannot open shared object file: No such file or directory in Unknown on line 0
PHP Warning:  PHP Startup: Unable to load dynamic library '/usr/lib/php4/gd.so' - /usr/lib/php4/gd.so: cannot open shared object file: No such file or directory in Unknown on line 0
PHP Warning:  PHP Startup: Unable to load dynamic library '/usr/lib/php4/imap.so' - /usr/lib/php4/imap.so: cannot open shared object file: No such file or directory in Unknown on line 0
PHP Warning:  PHP Startup: Unable to load dynamic library '/usr/lib/php4/json.so' - /usr/lib/php4/json.so: cannot open shared object file: No such file or directory in Unknown on line 0
PHP Warning:  PHP Startup: Unable to load dynamic library '/usr/lib/php4/mbstring.so' - /usr/lib/php4/mbstring.so: cannot open shared object file: No such file or directory in Unknown on line 0
PHP Warning:  PHP Startup: Unable to load dynamic library '/usr/lib/php4/mysql.so' - /usr/lib/php4/mysql.so: cannot open shared object file: No such file or directory in Unknown on line 0
PHP Warning:  PHP Startup: Unable to load dynamic library '/usr/lib/php4/mysqli.so' - /usr/lib/php4/mysqli.so: cannot open shared object file: No such file or directory in Unknown on line 0
PHP Warning:  PHP Startup: Unable to load dynamic library '/usr/lib/php4/pdo.so' - /usr/lib/php4/pdo.so: cannot open shared object file: No such file or directory in Unknown on line 0
PHP Warning:  PHP Startup: Unable to load dynamic library '/usr/lib/php4/pdo_mysql.so' - /usr/lib/php4/pdo_mysql.so: cannot open shared object file: No such file or directory in Unknown on line 0
PHP Warning:  PHP Startup: Unable to load dynamic library '/usr/lib/php4/pdo_sqlite.so' - /usr/lib/php4/pdo_sqlite.so: cannot open shared object file: No such file or directory in Unknown on line 0
PHP Warning:  PHP Startup: Unable to load dynamic library '/usr/lib/php4/sqlite.so' - /usr/lib/php4/sqlite.so: cannot open shared object file: No such file or directory in Unknown on line 0
PHP Warning:  PHP Startup: Unable to load dynamic library '/usr/lib/php4/wddx.so' - /usr/lib/php4/wddx.so: cannot open shared object file: No such file or directory in Unknown on line 0
PHP Warning:  PHP Startup: Unable to load dynamic library '/usr/lib/php4/xmlreader.so' - /usr/lib/php4/xmlreader.so: cannot open shared object file: No such file or directory in Unknown on line 0
PHP Warning:  PHP Startup: Unable to load dynamic library '/usr/lib/php4/xmlwriter.so' - /usr/lib/php4/xmlwriter.so: cannot open shared object file: No such file or directory in Unknown on line 0
PHP Warning:  PHP Startup: Unable to load dynamic library '/usr/lib/php4/xsl.so' - /usr/lib/php4/xsl.so: cannot open shared object file: No such file or directory in Unknown on line 0
PHP Warning:  PHP Startup: Unable to load dynamic library '/usr/lib/php4/zip.so' - /usr/lib/php4/zip.so: cannot open shared object file: No such file or directory in Unknown on line 0
PHP 5.2.10 (cli) (built: Jun 21 2009 17:53:15)
Copyright (c) 1997-2009 The PHP Group
Zend Engine v2.2.0, Copyright (c) 1998-2009 Zend Technologies

and sites with php dont work

Re: missing dependency on php update

swicth to the php.ini provided with the RPM (should have been stored as /etc/php.ini.rpmnew)

php_ioncube_loader is not provided, so if you need it, ...

+

Desktop: Fedora 29 x86_64 + rpmfusion + remi-test + remi-dev
Laptop:  Fedora 30 x86_64 + rpmfusion + remi (SCL only)
Hosting Server: CentOS 6.10 x86_64 with EPEL, remi, remi-php72 and remi-php72-test

Re: missing dependency on php update

tath's ok :-)
i hope my experience will be useful to someone other
thanks u very much for answer me
Luca